diff --git a/changelog b/changelog
index 0685902..1862c19 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090922 tpd src/axiom-website/patches.html 20090922.02.tpd.patch
+20090922 tpd src/interp/c-util.lisp cleanup
 20090922 tpd src/axiom-website/patches.html 20090922.01.tpd.patch
 20090922 tpd src/interp/cattable.lisp cleanup
 20090915 tpd src/axiom-website/patches.html 20090915.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 64dea2d..045255d 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2012,5 +2012,7 @@ src/interp/buildom.lisp cleanup<br/>
 Makefile stop making bootdir<br/>
 <a href="patches/20090922.01.tpd.patch">20090922.01.tpd.patch</a>
 src/interp/cattable.lisp cleanup<br/>
+<a href="patches/20090922.02.tpd.patch">20090922.02.tpd.patch</a>
+src/interp/c-util.lisp cleanup<br/>
  </body>
 </html>
diff --git a/src/interp/c-util.lisp.pamphlet b/src/interp/c-util.lisp.pamphlet
index d7fc4aa..a37b2e4 100644
--- a/src/interp/c-util.lisp.pamphlet
+++ b/src/interp/c-util.lisp.pamphlet
@@ -26,7 +26,9 @@
 
 ;;;     ***       |continue| REDEFINED
 
-(DEFUN |continue| () (FIN (|comp| |$x| |$m| |$f|)))
+(DEFUN |continue| ()
+ (declare (special  |$x| |$m| |$f|))
+ (FIN (|comp| |$x| |$m| |$f|)))
 
 ;
 ;LEVEL(:l) == APPLY('level,l)
@@ -47,6 +49,7 @@
 (DEFUN |level| (&REST G2496 &AUX |l|)
   (DSETQ |l| G2496)
   (PROG (|n|)
+  (declare (special |$level|))
     (RETURN
       (COND
         ((NULL |l|) (|same|))
@@ -70,6 +73,7 @@
 ;;;     ***       |up| REDEFINED
 
 (DEFUN |up| ()
+  (declare (special |$level|))
   (|displayComp| (SPADLET |$level| (SPADDIFFERENCE |$level| 1))))
 
 ;
@@ -83,7 +87,9 @@
 
 ;;;     ***       |same| REDEFINED
 
-(DEFUN |same| () (|displayComp| |$level|))
+(DEFUN |same| ()
+ (declare (special |$level|))
+ (|displayComp| |$level|))
 
 ;
 ;DOWN() == down()
@@ -96,7 +102,9 @@
 
 ;;;     ***       |down| REDEFINED
 
-(DEFUN |down| () (|displayComp| (SPADLET |$level| (PLUS |$level| 1))))
+(DEFUN |down| ()
+ (declare (special |$level|))
+ (|displayComp| (SPADLET |$level| (PLUS |$level| 1))))
 
 ;
 ;displaySemanticErrors() ==
@@ -113,6 +121,7 @@
 
 (DEFUN |displaySemanticErrors| ()
   (PROG (|n| |l|)
+  (declare (special |$semanticErrorStack|))
     (RETURN
       (PROGN
         (SPADLET |n|
@@ -157,6 +166,7 @@
 
 (DEFUN |displayWarnings| ()
   (PROG (|n| |l|)
+  (declare (special |$warningStack|))
     (RETURN
       (PROGN
         (SPADLET |n|
@@ -208,6 +218,9 @@
 
 (DEFUN |displayComp| (|level|)
   (PROG (|LETTMP#1|)
+  (declare (special |$f| |$m| |$x| |$exitModeStack| |$s| |$op| |$dim|
+                    |$insideCapsuleFunctionIfTrue| |$bright| |$tripleCache|
+                    $X $M $F))
     (RETURN
       (PROGN
         (SPADLET |$tripleCache| NIL)
@@ -263,6 +276,7 @@
 
 (DEFUN |mkErrorExpr,highlight1| (|b| |a|)
   (PROG (|c|)
+  (declare (special |$dim| |$bright|))
     (RETURN
       (SEQ (IF (ATOM |a|) (EXIT |a|))
            (IF (AND (PAIRP |a|) (EQUAL (QCAR |a|) |b|)
@@ -276,6 +290,7 @@
 
 (DEFUN |mkErrorExpr,highlight| (|b| |a|)
   (PROG (|var|)
+  (declare (special |$dim| |$bright|))
     (RETURN
       (SEQ (IF (ATOM |b|)
                (EXIT (PROGN
@@ -306,6 +321,7 @@
 ;;;     ***       |mkErrorExpr| REDEFINED
 
 (DEFUN |mkErrorExpr| (|level|)
+  (declare (special |$s|))
   (|mkErrorExpr,bracket|
       (ASSOCLEFT (DROP (SPADDIFFERENCE |level| (|#| |$s|)) |$s|))))
 
@@ -371,6 +387,7 @@
 
 (DEFUN |consProplistOf| (|var| |proplist| |prop| |val|)
   (PROG (|u|)
+  (declare (special |$InteractiveMode|))
     (RETURN
       (PROGN
         (|semchkProplist| |var| |proplist| |prop| |val|)
@@ -546,6 +563,7 @@
 
 (DEFUN |intersectionContour,unifiable| (|m1| |m2|)
   (PROG (|m| |u'|)
+  (declare (special |$e|))
     (RETURN
       (SEQ (IF (BOOT-EQUAL |m1| |m2|) (EXIT |m1|))
            (SPADLET |m|
@@ -604,6 +622,7 @@
 
 (DEFUN |intersectionContour,modeCompare| (|p| |p'|)
   (PROG (|pair| |m''| |pair'|)
+  (declare (special |$var|))
     (RETURN
       (SEQ (IF (SPADLET |pair| (|assoc| '|mode| |p|))
                (EXIT (SEQ (IF (SPADLET |pair'| (|assoc| '|mode| |p'|))
@@ -696,6 +715,7 @@
 (DEFUN |intersectionContour,computeIntersection| (|c| |c'|)
   (PROG (|varlist| |varlist'| |interVars| |unionVars| |diffVars|
             |modeAssoc| |x| |y| |proplist|)
+  (declare (special |$var|))
     (RETURN
       (SEQ (SPADLET |varlist| (REMDUP (ASSOCLEFT |c|)))
            (SPADLET |varlist'| (REMDUP (ASSOCLEFT |c'|)))
@@ -770,6 +790,7 @@
 
 (DEFUN |addContour,fn3| (|x| |pv| |e|)
   (PROG (|p| |v| |vv|)
+  (declare (special |$getPutTrace|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |p| (CAR |pv|))
@@ -1161,6 +1182,7 @@
 
 (DEFUN |TrimCF| ()
   (PROG (|old| |uold| |unew| |new|)
+  (declare (special |$CategoryFrame|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |new| NIL)
@@ -1350,6 +1372,7 @@
 
 (DEFUN |isSimple| (|x|)
   (PROG (|op| |argl|)
+  (declare (special |$InteractiveMode|))
     (RETURN
       (SEQ (COND
              ((OR (ATOM |x|) |$InteractiveMode|) 'T)
@@ -1380,6 +1403,7 @@
 
 (DEFUN |isSideEffectFree| (|op|)
   (PROG (|ISTMP#1| |ISTMP#2| |op'|)
+  (declare (special |$SideEffectFreeFunctionList|))
     (RETURN
       (OR (|member| |op| |$SideEffectFreeFunctionList|)
           (AND (PAIRP |op|) (EQ (QCAR |op|) '|elt|)
@@ -1421,6 +1445,7 @@
 ;;;     ***       |isAlmostSimple,setAssignment| REDEFINED
 
 (DEFUN |isAlmostSimple,setAssignment| (|x|)
+  (declare (special |$assignmentList|))
   (SEQ (IF (BOOT-EQUAL |$assignmentList| '|failed|) (EXIT NIL))
        (EXIT (SPADLET |$assignmentList| (APPEND |$assignmentList| |x|)))))
 
@@ -1428,6 +1453,7 @@
 
 (DEFUN |isAlmostSimple,fn| (|x|)
   (PROG (|op| |y| |l| |g|)
+  (declare (special |$assignmentList|))
     (RETURN
       (SEQ (IF (OR (ATOM |x|) (NULL (CDR |x|))) (EXIT |x|))
            (PROGN
@@ -1623,6 +1649,7 @@
 ;;;     ***       |removeEnv| REDEFINED
 
 (DEFUN |removeEnv| (|t|)
+  (declare (special |$EmptyEnvironment|))
   (CONS (CAR |t|) (CONS (CADR |t|) (CONS |$EmptyEnvironment| NIL))))
 
 ;
@@ -1674,6 +1701,7 @@
 ;;;     ***       |genDomainVar| REDEFINED
 
 (DEFUN |genDomainVar| ()
+  (declare (special |$Index|))
   (PROGN
     (SPADLET |$Index| (PLUS |$Index| 1))
     (INTERNL (STRCONC '|#D| (STRINGIMAGE |$Index|)))))
@@ -1685,6 +1713,7 @@
 ;;;     ***       |genVariable| REDEFINED
 
 (DEFUN |genVariable| ()
+  (declare (special |$genSDVar|))
   (INTERNL (STRCONC '|#G|
                     (STRINGIMAGE
                         (SPADLET |$genSDVar| (PLUS |$genSDVar| 1))))))
@@ -1696,6 +1725,7 @@
 ;;;     ***       |genSomeVariable| REDEFINED
 
 (DEFUN |genSomeVariable| ()
+  (declare (special |$genSDVar|))
   (INTERNL (STRCONC '|##|
                     (STRINGIMAGE
                         (SPADLET |$genSDVar| (PLUS |$genSDVar| 1))))))
@@ -1780,6 +1810,7 @@
 ;;;     ***       |compilerMessage| REDEFINED
 
 (DEFUN |compilerMessage| (|x|)
+  (declare (special |$PrintCompilerMessageIfTrue|))
   (SEQ (COND (|$PrintCompilerMessageIfTrue| (EXIT (APPLX 'SAY |x|))))))
 
 ;
@@ -1809,6 +1840,8 @@
 
 (DEFUN |stackSemanticError| (|msg| |expr|)
   (PROG (|entry|)
+  (declare (special |$initCapsuleErrorCount| |$semanticErrorStack| |$op|
+                    |$insideCapsuleFunctionIfTrue|))
     (RETURN
       (PROGN
         (BUMPERRORCOUNT '|semantic|)
@@ -1839,6 +1872,7 @@
 ;;;     ***       |stackWarning| REDEFINED
 
 (DEFUN |stackWarning| (|msg|)
+  (declare (special |$warningStack| |$op| |$insideCapsuleFunctionIfTrue|))
   (PROGN
     (COND
       (|$insideCapsuleFunctionIfTrue|
@@ -1857,6 +1891,7 @@
 ;;;     ***       |unStackWarning| REDEFINED
 
 (DEFUN |unStackWarning| (|msg|)
+  (declare (special |$warningStack| |$op| |$insideCapsuleFunctionIfTrue|))
   (PROGN
     (COND
       (|$insideCapsuleFunctionIfTrue|
@@ -1872,6 +1907,7 @@
 ;;;     ***       |stackMessage| REDEFINED
 
 (DEFUN |stackMessage| (|msg|)
+  (declare (special |$compErrorMessageStack|))
   (PROGN
     (SPADLET |$compErrorMessageStack|
              (CONS |msg| |$compErrorMessageStack|))
@@ -1887,6 +1923,7 @@
 ;;;     ***       |stackMessageIfNone| REDEFINED
 
 (DEFUN |stackMessageIfNone| (|msg|)
+  (declare (special |$compErrorMessageStack|))
   (PROGN
     (COND
       ((NULL |$compErrorMessageStack|)
@@ -1902,6 +1939,7 @@
 ;;;     ***       |stackAndThrow| REDEFINED
 
 (DEFUN |stackAndThrow| (|msg|)
+  (declare (special |$compErrorMessageStack|))
   (PROGN
     (SPADLET |$compErrorMessageStack|
              (CONS |msg| |$compErrorMessageStack|))
@@ -1981,6 +2019,7 @@
 
 (DEFUN |pmatchWithSl| (|s| |p| |al|)
   (PROG (|v| |al'|)
+  (declare (special |$PatternVariableList| |$EmptyMode|))
     (RETURN
       (COND
         ((BOOT-EQUAL |s| |$EmptyMode|) NIL)
@@ -2004,6 +2043,7 @@
 
 (DEFUN |elapsedTime| ()
   (PROG (|currentTime| |elapsedSeconds|)
+  (declare (special |$previousTime| |$timerTicksPerSecond|))
     (RETURN
       (PROGN
         (SPADLET |currentTime| (TEMPUS-FUGIT))
@@ -2104,6 +2144,7 @@
 (DEFUN |extendsCategoryForm| (|domain| |form| |form'|)
   (PROG (|dom| |l| |formVec| |op| |ISTMP#2| |args| |ISTMP#1| |at|
                |catvlist| |cat|)
+  (declare (special |$e| |$EmptyEnvironment| |$Category|))
     (RETURN
       (SEQ (COND
              ((BOOT-EQUAL |form| |form'|) 'T)
@@ -2471,6 +2512,7 @@
 
 (DEFUN |?modemaps| (|x|)
   (PROG (|env|)
+ (declare (special |$f| |$insideCapsuleFunctionIfTrue| |$CapsuleModemapFrame|))
     (RETURN
       (PROGN
         (SPADLET |env|
@@ -2522,6 +2564,7 @@
 
 (DEFUN |traceUp| ()
   (PROG (|u|)
+  (declare (special |$EmptyMode| |$f| |$x|))
     (RETURN
       (SEQ (COND
              ((ATOM |$x|) (|sayBrightly| (MAKESTRING "$x is an atom")))
@@ -2562,6 +2605,7 @@
 
 (DEFUN |?m| (|x|)
   (PROG (|u|)
+  (declare (special |$EmptyMode| |$f|))
     (RETURN
       (COND
         ((SPADLET |u| (|comp| |x| |$EmptyMode| |$f|)) (CADR |u|))
@@ -2577,6 +2621,7 @@
 
 (DEFUN |traceDown| ()
   (PROG (|mmList| |u|)
+  (declare (special |$x| |$f|))
     (RETURN
       (SEQ (COND
              ((SPADLET |mmList| (|getFormModemaps| |$x| |$f|))
@@ -2601,6 +2646,7 @@
 
 (DEFUN |qModemap| (|mm|)
   (PROG (|dc| |target| |sl| |pred|)
+  (declare (special |$x|))
     (RETURN
       (SEQ (PROGN
              (|sayBrightly|
@@ -2644,6 +2690,7 @@
 
 (DEFUN |qArg| (|a| |m|)
   (PROG (|u| |yesOrNo|)
+  (declare (special |$f|))
     (RETURN
       (PROGN
         (SPADLET |yesOrNo|
@@ -2676,6 +2723,7 @@
 
 (DEFUN |?comp| (|x|)
   (PROG (|u| |msg|)
+  (declare (special |$EmptyMode| |$f|))
     (RETURN
       (PROGN
         (SPADLET |msg|
@@ -2692,7 +2740,9 @@
 
 ;;;     ***       |?domains| REDEFINED
 
-(DEFUN |?domains| () (|pp| (|getDomainsInScope| |$f|)))
+(DEFUN |?domains| ()
+  (declare (special |$f|))
+  (|pp| (|getDomainsInScope| |$f|)))
 
 ;_?DOMAINS() == ?domains()
 
@@ -2706,6 +2756,7 @@
 ;;;     ***       |?mode| REDEFINED
 
 (DEFUN |?mode| (|x|)
+  (declare (special |$f|))
   (|displayProplist| |x|
       (CONS (CONS '|mode| (|getmode| |x| |$f|)) NIL)))
 
@@ -2721,6 +2772,7 @@
 ;;;     ***       |?properties| REDEFINED
 
 (DEFUN |?properties| (|x|)
+  (declare (special |$f|))
   (|displayProplist| |x| (|getProplist| |x| |$f|)))
 
 ;_?PROPERTIES x == _?properties x
@@ -2735,6 +2787,7 @@
 ;;;     ***       |?value| REDEFINED
 
 (DEFUN |?value| (|x|)
+  (declare (special |$f|))
   (|displayProplist| |x|
       (CONS (CONS '|value| (|get| |x| '|value| |$f|)) NIL)))
 
@@ -3012,6 +3065,7 @@
 
 (DEFUN |traverse,traverseInner| (|ob| |fn| |arg|)
   (PROG (|nob| |n| |keys| |e| |nk| |ne| |s| |ns|)
+  (declare (special |$seen| |$notseen|))
     (RETURN
       (SEQ (SPADLET |e| (HGET |$seen| |ob| |$notseen|))
            (IF (NULL (EQ |e| |$notseen|)) (EXIT |e|))
@@ -3083,7 +3137,7 @@
                                           (|traverse,traverseInner|
                                            (QCDR |s|) |fn| |arg|))
                                  (EXIT (IF (NULL (EQ |ns| (QCDR |s|)))
-                                        (APPLY SET-PA-SPEC
+                                        (APPLY #'SET-PA-SPEC
                                          (CONS |ob|
                                           (CONS |i|
                                            (CONS (QCAR |s|) |ns|))))
